package com.company.tokenlisttest.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import java.util.List;

@NamePattern("%s|name")
@Table(name = "TOKENLISTTEST_EDUCATION_SUPPLIER_CONTRACT_COST")
@Entity(name = "tokenlisttest$EducationSupplierContractCost")
public class EducationSupplierContractCost extends StandardEntity {
    private static final long serialVersionUID = 9077117600337776354L;

    @Column(name = "NAME")
    protected String name;

    @OneToMany(mappedBy = "educationSupplierContractCost")
    protected List<SupplierEmployee> responsibleManagers;

    public List<SupplierEmployee> getResponsibleManagers() {
        return responsibleManagers;
    }

    public void setResponsibleManagers(List<SupplierEmployee> responsibleManagers) {
        this.responsibleManagers = responsibleManagers;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}