package com.company.tokenlisttest.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@NamePattern("%s|name")
@Table(name = "TOKENLISTTEST_SUPPLIER_EMPLOYEE")
@Entity(name = "tokenlisttest$SupplierEmployee")
public class SupplierEmployee extends StandardEntity {
    private static final long serialVersionUID = 2675404072795265739L;

    @Column(name = "NAME")
    protected String name;
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "EDUCATION_SUPPLIER_CONTRACT_COST_ID")
    protected EducationSupplierContractCost educationSupplierContractCost;

    public EducationSupplierContractCost getEducationSupplierContractCost() {
        return educationSupplierContractCost;
    }

    public void setEducationSupplierContractCost(EducationSupplierContractCost educationSupplierContractCost) {
        this.educationSupplierContractCost = educationSupplierContractCost;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}